com.verisign.epp.codec.registry

## Class EPPRegistryPhase

- java.lang.Object
- - com.verisign.epp.codec.registry.EPPRegistryPhase

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryPhase
      extends java.lang.Object
      implements EPPCodecComponent

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_MODE`
    `static java.lang.String` | `ATTR_NAME`
    `static java.lang.String` | `ATTR_TYPE`
    `static java.lang.String` | `ELM_END_DATE`
    `static java.lang.String` | `ELM_LOCALNAME` Constant for the phase local name
    `static java.lang.String` | `ELM_NAME` Constant for the phase qualified name (prefix and local name)
    `static java.lang.String` | `ELM_START_DATE`
    `static java.lang.String` | `MODE_FCFS`
    `static java.lang.String` | `MODE_PENDING_APPLICATION`
    `static java.lang.String` | `MODE_PENDING_REGISTRATION`
    `static java.lang.String` | `PHASE_CLAIMS` Trademark claims phase as defined by Trademark Clearinghouse model of displaying a claims notice to clients for domain names that match trademarks.
    `static java.lang.String` | `PHASE_CUSTOM` A custom server launch phase that is defined using the name attribute.
    `static java.lang.String` | `PHASE_LANDRUSH` Post sunrise phase when non-trademark holders are allowed to register domain names.
    `static java.lang.String` | `PHASE_OPEN` Post launch phase that is also referred to as "steady state".
    `static java.lang.String` | `PHASE_PRE_DELEGATION` Phase when pre-delegation testing is done.
    `static java.lang.String` | `PHASE_PRE_LAUNCH` A phase prior to the sunrise where no writable operations will be allowed.
    `static java.lang.String` | `PHASE_SUNRISE` Phase when trademark holders can submit registration applications with trademark information that can be validated by the server.
    `static java.util.List` | `VALID_MODES`
    `static java.util.List` | `VALID_PHASES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryPhase()`
    `EPPRegistryPhase(java.lang.String type, java.util.Date startDate)`
    `EPPRegistryPhase(java.lang.String type, java.util.Date startDate, java.util.Date endDate)`
    `EPPRegistryPhase(java.lang.String type, java.lang.String name, java.util.Date startDate)`
    `EPPRegistryPhase(java.lang.String type, java.lang.String name, java.util.Date startDate, java.util.Date endDate)`
    `EPPRegistryPhase(java.lang.String type, java.lang.String name, java.lang.String mode, java.util.Date startDate)`
    `EPPRegistryPhase(java.lang.String type, java.lang.String name, java.lang.String mode, java.util.Date startDate, java.util.Date endDate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
    `void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
    `boolean` | `equals(java.lang.Object aObject)`
    `java.util.Date` | `getEndDate()`
    `java.lang.String` | `getMode()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.util.Date` | `getStartDate()`
    `java.lang.String` | `getType()`
    `void` | `setEndDate(java.util.Date endDate)`
    `void` | `setMode(java.lang.String mode)`
    `void` | `setName(java.lang.String name)`
    `void` | `setStartDate(java.util.Date startDate)`
    `void` | `setType(java.lang.String type)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the phase local name
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the phase qualified name (prefix and local name)
      See Also:
        Constant Field Values

    - #### ELM_START_DATE

          public static final java.lang.String ELM_START_DATE

      See Also:
        Constant Field Values

    - #### ELM_END_DATE

          public static final java.lang.String ELM_END_DATE

      See Also:
        Constant Field Values

    - #### ATTR_TYPE

          public static final java.lang.String ATTR_TYPE

      See Also:
        Constant Field Values

    - #### ATTR_NAME

          public static final java.lang.String ATTR_NAME

      See Also:
        Constant Field Values

    - #### ATTR_MODE

          public static final java.lang.String ATTR_MODE

      See Also:
        Constant Field Values

    - #### PHASE_PRE_DELEGATION

          public static final java.lang.String PHASE_PRE_DELEGATION

      Phase when pre-delegation testing is done.
      See Also:
        Constant Field Values

    - #### PHASE_PRE_LAUNCH

          public static final java.lang.String PHASE_PRE_LAUNCH

      A phase prior to the sunrise where no writable operations will be allowed.
      See Also:
        Constant Field Values

    - #### PHASE_SUNRISE

          public static final java.lang.String PHASE_SUNRISE

      Phase when trademark holders can submit registration applications with trademark information that can be validated by the server.
      See Also:
        Constant Field Values

    - #### PHASE_LANDRUSH

          public static final java.lang.String PHASE_LANDRUSH

      Post sunrise phase when non-trademark holders are allowed to register domain names.
      See Also:
        Constant Field Values

    - #### PHASE_CLAIMS

          public static final java.lang.String PHASE_CLAIMS

      Trademark claims phase as defined by Trademark Clearinghouse model of displaying a claims notice to clients for domain names that match trademarks.
      See Also:
        Constant Field Values

    - #### PHASE_OPEN

          public static final java.lang.String PHASE_OPEN

      Post launch phase that is also referred to as "steady state".
      See Also:
        Constant Field Values

    - #### PHASE_CUSTOM

          public static final java.lang.String PHASE_CUSTOM

      A custom server launch phase that is defined using the name attribute.
      See Also:
        Constant Field Values

    - #### MODE_FCFS

          public static final java.lang.String MODE_FCFS

      See Also:
        Constant Field Values

    - #### MODE_PENDING_REGISTRATION

          public static final java.lang.String MODE_PENDING_REGISTRATION

      See Also:
        Constant Field Values

    - #### MODE_PENDING_APPLICATION

          public static final java.lang.String MODE_PENDING_APPLICATION

      See Also:
        Constant Field Values

    - #### VALID_PHASES

          public static java.util.List VALID_PHASES

    - #### VALID_MODES

          public static java.util.List VALID_MODES

  - ### Constructor Detail

    - #### EPPRegistryPhase

          public EPPRegistryPhase()

    - #### EPPRegistryPhase

          public EPPRegistryPhase(java.lang.String type,
                                  java.util.Date startDate,
                                  java.util.Date endDate)

    - #### EPPRegistryPhase

          public EPPRegistryPhase(java.lang.String type,
                                  java.lang.String name,
                                  java.util.Date startDate,
                                  java.util.Date endDate)

    - #### EPPRegistryPhase

          public EPPRegistryPhase(java.lang.String type,
                                  java.lang.String name,
                                  java.lang.String mode,
                                  java.util.Date startDate,
                                  java.util.Date endDate)

    - #### EPPRegistryPhase

          public EPPRegistryPhase(java.lang.String type,
                                  java.util.Date startDate)

    - #### EPPRegistryPhase

          public EPPRegistryPhase(java.lang.String type,
                                  java.lang.String name,
                                  java.util.Date startDate)

    - #### EPPRegistryPhase

          public EPPRegistryPhase(java.lang.String type,
                                  java.lang.String name,
                                  java.lang.String mode,
                                  java.util.Date startDate)

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Description copied from interface: `EPPCodecComponent`
      encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      For example, the <command> element of `EPPCommand` is created and is used to append the attribute nodes of `EPPCommand`.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM document used as a factory of DOM objects.
      Returns:
        instance root DOM element along with attribute child nodes.
      Throws:
        `EPPEncodeException` - Error encoding the DOM element tree.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Description copied from interface: `EPPCodecComponent`
      decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      For example, the <command> element of `EPPCommand` is passed into `decode` of EPPCommand to be decoded and used to set the instance attributes.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - root DOM element associated with instance
      Throws:
        `EPPDecodeException` - Error decoding the DOM element tree.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Description copied from interface: `EPPCodecComponent`
      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPCodecComponent`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getType

          public java.lang.String getType()

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### setType

          public void setType(java.lang.String type)

    - #### getStartDate

          public java.util.Date getStartDate()

    - #### setStartDate

          public void setStartDate(java.util.Date startDate)

    - #### getEndDate

          public java.util.Date getEndDate()

    - #### setEndDate

          public void setEndDate(java.util.Date endDate)

    - #### getMode

          public java.lang.String getMode()

    - #### setMode

          public void setMode(java.lang.String mode)

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.